:root {
  /* Background colors */
  --bodyBGColor: #eeeeee;
  --containerBGColor: #f6f6f6;
  --formHighlightBGColor: #e8eef9;
  --containerBGColor: #f6f6f6;
  --darkThemeBGColor: #002060;
  --lightThemeBGColor: #ffe699;
  --buttonBGColor: var(--darkThemeBGColor);

  /* Text colors */
  --textColor: #000000;
  --errorColor:  #dc3545;
  --darkThemeTextColor: var(--containerBGColor);
  --lightThemeTextColor: var(--darkThemeBGColor);
  --buttonTextColor: #ffe699;

  /* Border colors */
  --buttonBorderColor: var(--buttonTextColor);
  --footerBorderColor: #305496;

  /* Hover colors */
  --borderTLHoverColor: rgb(from var(--darkThemeBGColor) calc(r * 0.5) calc(g * 0.5) calc (b * 0.5));
  --borderRBHoverColor: rgb(from var(--darkThemeBGColor) calc(r + ((255 - r) * 0.75)) calc(g + ((255 - g) * 0.75)) calc(b + ((255 - b) * 0.75)));

  /* Widths, heights and positions */
  --containerWidth: 80%;
  --containerLeft: calc((100% - var(--containerWidth)) / 2);
  --minWidth: 850px;
  --maxWidth: 1600px;
  --minFormWidth: 650px;
  --minWidthC1: 425px;
  --logoWidth: 76px;

  --lineHeight: 125%;

  --bgImageHeight: 400px;
  --logoHeight: 57px;


  /* Margins and padding */
  --menuMarginR: 40px;
  --menuMarginRL: 40px;
  --largeMargin: 24px;
  --parMarginTB: 10px;
  --parMarginLR: 30px;
  --addressLMargin: 80px;
  --addressContIndent: -30px;
  --formMarginL: var(--parMarginLR);
  --ULMarginL: calc(var(--parMarginLR) + 2em);
  --ULMarginTB: 10px;

  --linkPadding: 0.2em;

  /* Text alignment and size */
  --textAlign: justify;
  --fontSize: 16px;
  --largeFontSize: 24px;
  --hugeFontSize: 42px;

  /* Misc */
  --activeMenuOpacity: 50%;
  --menuTransitionDuration: 0.4s;
  --linkTransitionDuration: 0.5s;
  --PAIconSize: 48px;

  /* URLs */
  --APLawLogo:  url('../images/APLawLogo.svg');
  --APLawLogoInv:  url('../images/APLawLogoInverted.svg');

}

@media screen and (max-width: 1200px) {
  :root {
    /* Widths, heights and positions */
    --containerWidth: 90%;
    --containerLeft: calc((100% - var(--containerWidth)) / 2);
    --minWidth: 750px;
    --maxWidth: 1200px;

    --bgImageHeight: 350px;

    /* Margins and padding */
    --menuMarginR: 10px;
    --menuMarginRL: 20px;
    --largeMargin: 18px;
    --parMarginTB: 8px;
    --parMarginLR: 24px;
    --addressLMargin: 54px;
    --addressContIndent: -29px;
    --formMarginL: var(--parMarginLR);
    --ULMarginL: calc(var(--parMarginLR) + 1.5em);
    --ULMarginTB: 8px;

    /* Text alignment and size */
    --fontSize: 14px;
    --largeFontSize: 20px;
    --hugeFontSize: 34px;
  }
}

@media screen and (max-width: 800px) {
  :root {
    /* Widths, heights and positions */
    --containerWidth: 98%;
    --containerLeft: calc((100% - var(--containerWidth)) / 2);
    --minWidth: 600px;
    --maxWidth: 800px;
    --minFormWidth: 400px;
    --minWidthC1: 350px;

    --bgImageHeight: 300px;

    /* Margins and padding */
    --menuMarginR: 5px;
    --menuMarginRL: 10px;
    --largeMargin: 12px;
    --parMarginTB: 4px;
    --parMarginLR: 8px;
    --addressLMargin: calc(30px + var(--parMarginLR));
    --addressContIndent: -27px;
    --formMarginL: var(--parMarginLR);
    --ULMarginL: calc(var(--parMarginLR) + 1em);
    --ULMarginTB: 6px;

    /* Text alignment and size */
    --fontSize: 12px;
    --largeFontSize: 16px;
    --hugeFontSize: 24px;
  }
}

@media print {
  :root {
  --APLawLogo:  url('../images/APLawLogo.svg');
  --APLawLogoInv:  url('../images/APLawLogoInverted.svg');
  }
}
